Module java.base
Package java.io

# Class ObjectStreamException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.ObjectStreamException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InvalidClassException`, `InvalidObjectException`, `NotActiveException`, `NotSerializableException`, `OptionalDataException`, `StreamCorruptedException`, `WriteAbortedException`

public abstract class ObjectStreamException extends IOException
Superclass of all exceptions specific to Object Stream classes.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ObjectStreamException()`
  Create an ObjectStreamException.
  `protected`
  `ObjectStreamException(String message)`
  Create an ObjectStreamException with the specified argument.
  `protected`
  `ObjectStreamException(String message, Throwable cause)`
  Create an ObjectStreamException with the specified message and cause.
  `protected`
  `ObjectStreamException(Throwable cause)`
  Create an ObjectStreamException with the specified cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ObjectStreamException

    protected ObjectStreamException(String message)
    Create an ObjectStreamException with the specified argument.
    Parameters:
      `message` - the detailed message for the exception

  - ### ObjectStreamException

    protected ObjectStreamException(String message, Throwable cause)
    Create an ObjectStreamException with the specified message and cause.
    Parameters:
      `message` - the detailed message for the exception
      `cause` - the cause
    Since:
      19

  - ### ObjectStreamException

    protected ObjectStreamException()
    Create an ObjectStreamException.

  - ### ObjectStreamException

    protected ObjectStreamException(Throwable cause)
    Create an ObjectStreamException with the specified cause.
    Parameters:
      `cause` - the cause
    Since:
      19